Index: mibs/snr/SNR-ERD-4
===================================================================
--- mibs/snr/SNR-ERD-4	(revision 9757)
+++ mibs/snr/SNR-ERD-4	(working copy)
@@ -20,790 +20,1200 @@
 	REVISION		"201504291200Z"
 	DESCRIPTION
 		"Initial revision." 
-	::= { enterprises 40418 }
-
-
-snr-erd			OBJECT IDENTIFIER	::= { snr 2 }
-snr-erd-4		OBJECT IDENTIFIER	::= { snr-erd 6 }
-
-measurements		OBJECT IDENTIFIER	::= { snr-erd-4 1 }
-sensesstate		OBJECT IDENTIFIER	::= { snr-erd-4 2 }
-management		OBJECT IDENTIFIER	::= { snr-erd-4 3 }
-counters		OBJECT IDENTIFIER	::= { snr-erd-4 8 }
-options			OBJECT IDENTIFIER	::= { snr-erd-4 10 }
-
-snrSensors		OBJECT IDENTIFIER	::= { measurements 1 }
-temperatureSensors	OBJECT IDENTIFIER	::= { snrSensors 1 }
-powerSensors		OBJECT IDENTIFIER	::= { snrSensors 2 }
-alarmSensCnts		OBJECT IDENTIFIER	::= { counters 2 }
-
-erd4Traps	OBJECT IDENTIFIER	::= { snr-erd-4 0 }
-
-
--- measurements
-
-voltageSensor		OBJECT-TYPE
-	SYNTAX		INTEGER
-        MAX-ACCESS	read-only
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { measurements 2 }
-
-
--- snrSensors
-
-serialS1			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 10 }
-
-serialS2			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 11 }
-
-serialS3			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 12 }
-
-serialS4			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 13 }
-
-serialS5			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 14 }
-
-serialS6			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 15 }
-
-serialS7			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 16 }
-
-serialS8			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 17 }
-
-serialS9			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 18 }
-
-serialS10			OBJECT-TYPE
-	SYNTAX			OCTET STRING
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { snrSensors 19 }
-
-
-
--- temperatureSensors
-
-temperatureS1			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 1 }
-
-temperatureS2			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 2 }
-
-temperatureS3			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 3 }
-
-temperatureS4			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 4 }
-
-temperatureS5			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 5 }
-
-temperatureS6			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 6 }
-
-temperatureS7			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 7 }
-
-temperatureS8			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 8 }
-
-temperatureS9			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 9 }
-
-temperatureS10			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { temperatureSensors 10 }
-
-
--- powerSensors
-
-voltageS1			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 1 }
-
-currentS1			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 2 }
-
-voltageS2			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 4 }
-
-currentS2			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 5 }
-
-voltageS3			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 7 }
-
-currentS3			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 8 }
-
-voltageS4			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 10 }
-
-currentS4			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 11 }
-
-voltageS5			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 13 }
-
-currentS5			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 14 }
-
-voltageS6			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 16 }
-
-currentS6			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 17 }
-
-voltageS7			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 19 }
-
-currentS7			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 20 }
-
-voltageS8			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 22 }
-
-currentS8			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 23 }
-
-voltageS9			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 25 }
-
-currentS9			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 26 }
-
-voltageS10			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 28 }
-
-currentS10			OBJECT-TYPE
-	SYNTAX			INTEGER
-	MAX-ACCESS		read-only
-	STATUS			current
-	DESCRIPTION		"qwerty"
-::= { powerSensors 29 }
-
-
--- sensesstate
-
-alarmSensor1		OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				high	(1),
-				low	(0),
-				off	(2)
-			}
-        MAX-ACCESS	read-only
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { sensesstate 1 }
-
-alarmSensor2		OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				high	(1),
-				low	(0),
-				off	(2)
-			}
-        MAX-ACCESS	read-only
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { sensesstate 2 }
-
-alarmSensor3		OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				high	(1),
-				low	(0),
-				off	(2)
-			}
-        MAX-ACCESS	read-only
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { sensesstate 3 }
-
-alarmSensor4		OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				high	(1),
-				low	(0),
-				off	(2)
-			}
-        MAX-ACCESS	read-only
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { sensesstate 4 }
-
-alarmSensor5		OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				high	(1),
-				low	(0),
-				off	(2)
-			}
-        MAX-ACCESS	read-only
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { sensesstate 5 }
-
-uSensor			OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				no	(1),
-				yes	(0)
-			}
-        MAX-ACCESS	read-only
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { sensesstate 6 }
-
-
--- management
-
-releState		OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				on	(1),
-				off	(0),
-				reset	(2) 
-			}
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 1 }
-
-smart1State	OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				on	(1),
-				off	(0),
-				reset	(2) 
-			}
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 2 }
-
-smart2State	OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				on	(1),
-				off	(0),
-				reset	(2) 
-			}
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 3 }
-
-smart3State	OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				on	(1),
-				off	(0),
-				reset	(2) 
-			}
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 4 }
-
-smart4State	OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				on	(1),
-				off	(0),
-				reset	(2) 
-			}
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 5 }
-
-smart5State	OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				on	(1),
-				off	(0),
-				reset	(2) 
-			}
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 6 }
-
-releResetTime	OBJECT-TYPE
-	SYNTAX		INTEGER
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 11 }
-
-smart1ResetTime	OBJECT-TYPE
-	SYNTAX		INTEGER
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 12 }
-
-smart2ResetTime	OBJECT-TYPE
-	SYNTAX		INTEGER
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 13 }
-
-smart3ResetTime	OBJECT-TYPE
-	SYNTAX		INTEGER
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 14 }
-
-smart4ResetTime	OBJECT-TYPE
-	SYNTAX		INTEGER
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 15 }
-
-smart5ResetTime	OBJECT-TYPE
-	SYNTAX		INTEGER
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { management 16 }
-
-
--- counters
-
-alarmSensor1cnt		OBJECT-TYPE
-	SYNTAX		Counter
-	MAX-ACCESS	read-write
-	STATUS		current
-	DESCRIPTION	"qwerty"
-::= { alarmSensCnts 1 }
-
-alarmSensor2cnt		OBJECT-TYPE
-	SYNTAX		Counter
-	MAX-ACCESS	read-write
-	STATUS		current
-	DESCRIPTION	"qwerty"
-::= { alarmSensCnts 2 }
-
-alarmSensor3cnt		OBJECT-TYPE
-	SYNTAX		Counter
-	MAX-ACCESS	read-write
-	STATUS		current
-	DESCRIPTION	"qwerty"
-::= { alarmSensCnts 3 }
-
-alarmSensor4cnt		OBJECT-TYPE
-	SYNTAX		Counter
-	MAX-ACCESS	read-write
-	STATUS		current
-	DESCRIPTION	"qwerty"
-::= { alarmSensCnts 4 }
-
-alarmSensor5cnt		OBJECT-TYPE
-	SYNTAX		Counter
-	MAX-ACCESS	read-write
-	STATUS		current
-	DESCRIPTION	"qwerty"
-::= { alarmSensCnts 5 }
-
-
-
--- options
-
-dataType		OBJECT-TYPE
-	SYNTAX		INTEGER
-			{
-				integer	(0),
-				float	(1),
-				ufloat	(2)
-			}
-        MAX-ACCESS	read-write
-        STATUS		current
-        DESCRIPTION	"qwerty"
-::= { options 1 }
-
-
--- Traps
-
-aSense1Alarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 1 }
-
-aSense1Release		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 2 }
-
-aSense2Alarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 3 }
-
-aSense2Release	NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 4 }
-
-aSense3Alarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 5 }
-
-aSense3Release	NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 6 }
-
-aSense4Alarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 7 }
-
-aSense4Release	NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 8 }
-
-aSense5Alarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 9 }
-
-aSense5Release	NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 10 }
-
-uSenseAlarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 11 }
-
-uSenseRelease		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 12 }
-
-reloutThermoOn		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 13 }
-
-reloutThermoOff		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 14 }
-
-smart1ThermoOn		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 15 }
-
-smart1ThermoOff		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 16 }
-
-smart2ThermoOn		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 17 }
-
-smart2ThermoOff		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 18 }
-
-smart3ThermoOn		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 19 }
-
-smart3ThermoOff		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 20 }
-
-smart4ThermoOn		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 21 }
-
-smart4ThermoOff		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 22 }
-
-smart5ThermoOn		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 23 }
-
-smart5ThermoOff		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 24 }
-
-tempSensorAlarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 29 }
-
-tempSensorRelease	NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 30 }
-
-voltSensorAlarm		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 31 }
-
-voltSensorRelease	NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 32 }
-
-task1Done		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 36 }
-
-task2Done		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 37 }
-
-task3Done		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 38 }
-
-task4Done		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 39 }
-
-pingLost		NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 45 }
-
-batteryChargeLow	NOTIFICATION-TYPE
-	STATUS		current
-	DESCRIPTION	"Check the text of message"		
-::= { erd4Traps 47 }
-
-
-erd4Group		NOTIFICATION-GROUP  
-	NOTIFICATIONS 
-	{
-		aSense1Alarm,
-		aSense1Release,
-		aSense2Alarm,
-		aSense2Release,
-		aSense3Alarm,
-		aSense3Release,
-		aSense4Alarm,
-		aSense4Release,
-		aSense5Alarm,
-		aSense5Release,
-		uSenseAlarm,
-		uSenseRelease,
-		reloutThermoOn,
-		reloutThermoOff,
-		smart1ThermoOn,
-		smart1ThermoOff,
-		smart2ThermoOn,
-		smart2ThermoOff,
-		smart3ThermoOn,
-		smart3ThermoOff,
-		smart4ThermoOn,
-		smart4ThermoOff,
-		smart5ThermoOn,
-		smart5ThermoOff,
-		tempSensorAlarm,
-		tempSensorRelease,
-		voltSensorAlarm,
-		voltSensorRelease,
-		task1Done,
-		task2Done,
-		task3Done,
-		task4Done,
-		pingLost,
-		batteryChargeLow
+	::= { enterprises 40418 }
+
+TempInteger ::= TEXTUAL-CONVENTION
+    DISPLAY-HINT "d"
+    UNITS        "degrees Centigrade"
+    STATUS       current
+    DESCRIPTION
+            "This data type is for temperature between -55 and +125."
+    SYNTAX       INTEGER (-55..125)
+
+TempNotif ::= TEXTUAL-CONVENTION
+    STATUS    current
+    DESCRIPTION
+        "Notification option status."
+    SYNTAX    INTEGER {Off (0),
+                        On (1)}
+
+
+snr-erd		OBJECT IDENTIFIER	::= { snr 2 }
+snr-erd-4	OBJECT IDENTIFIER	::= { snr-erd 6 }
+
+measurements		OBJECT IDENTIFIER	 ::= { snr-erd-4 1 }
+
+dio			OBJECT IDENTIFIER	::= { snr-erd-4 2 }
+modules			OBJECT IDENTIFIER	::= { snr-erd-4 5 }
+options			OBJECT IDENTIFIER	::= { snr-erd-4 10 }
+diffparams		OBJECT IDENTIFIER	::= { snr-erd-4 11 }
+
+
+oneWire		OBJECT IDENTIFIER	::= { measurements 1 }
+sp			OBJECT IDENTIFIER	::= { measurements 30 }
+
+GSM			OBJECT IDENTIFIER	::= { modules 1 }
+RF			OBJECT IDENTIFIER	::= { modules 2 }
+
+upsStatus		OBJECT IDENTIFIER	::= { diffparams 1 }
+
+pid			OBJECT IDENTIFIER	::= { diffparams 10 }
+
+traps			OBJECT IDENTIFIER	::= { snr-erd-4 0 }
+
+crit			OBJECT IDENTIFIER	::= { options 10 }
+
+-- measurements
+
+adcSensor		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"ADC sensor value"
+::= { measurements 2 }
+
+temperatureDHT		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"DHT temperature value"
+::= { measurements 8 }
+
+humidityDHT		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"DHT humidity value"
+::= { measurements 9 }
+
+-- dtsTable
+
+dtsTable OBJECT-TYPE
+    SYNTAX      SEQUENCE OF dtsEntry
+    MAX-ACCESS  not-accessible
+    STATUS      current
+    DESCRIPTION	"A list of temperature sensors values"
+    ::= { oneWire 1 }
+
+dtsEntry OBJECT-TYPE
+    SYNTAX      dtsEntry
+    MAX-ACCESS  not-accessible
+    STATUS      current
+    DESCRIPTION	"An entry (conceptual row) in the dtsTable"
+    INDEX   { dtsId } 
+::= { dtsTable 1 }
+
+dtsEntry ::=
+    SEQUENCE {
+        dtsId           	UInteger32,
+	dtsName			OctetString,
+        dtsTemp            	TempInteger,
+	tempCritNotif		Integer,
+	tempCritMin		TempInteger,
+	tempCritMax		TempInteger
+    }
+
+dtsId 		OBJECT-TYPE
+    SYNTAX      UInteger32
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION	"Temperature sensor id"
+    ::= { dtsEntry 1 }
+
+dtsName 	OBJECT-TYPE
+    SYNTAX      OCTET STRING
+    MAX-ACCESS  read-write
+    STATUS      current
+    DESCRIPTION	"Name (max 20)"
+    ::= { dtsEntry 2 }
+
+dtsTemp 	OBJECT-TYPE
+    SYNTAX      TempInteger
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Temperature value"
+    ::= { dtsEntry 3 }
+	
+tempCritNotif	OBJECT-TYPE
+	SYNTAX		TempNotif
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Enable notifications on the critical temperature"
+::= { dtsEntry 10 }
+	
+tempCritMin		OBJECT-TYPE
+	SYNTAX		TempInteger
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Minimal critical temperature. 
+Up to -55 \B0C"
+::= { dtsEntry 15 }
+
+tempCritMax	OBJECT-TYPE
+	SYNTAX		TempInteger
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Maximum critical temperature. 
+Up to +125\B0C"
+::= { dtsEntry 16 }
+
+-- shuntTable
+
+shuntTable OBJECT-TYPE
+    SYNTAX      SEQUENCE OF shuntEntry
+    MAX-ACCESS  not-accessible
+    STATUS      current
+    DESCRIPTION
+            "A list of SNR-SHUNT values"
+    ::= { oneWire 2 }
+
+shuntEntry OBJECT-TYPE
+    SYNTAX      shuntEntry
+    MAX-ACCESS  not-accessible
+    STATUS      current
+    DESCRIPTION
+            "An entry (conceptual row) in the shuntTable"
+    INDEX   { pwrSensIdent }
+    ::= { shuntTable 1 }
+
+shuntEntry ::=
+    SEQUENCE {
+        shuntId      	UInteger32,
+	shuntName	OctetString,
+        shuntTemp       Integer,
+        shuntVolt       Integer,
+	shuntCurrent	Integer,
+	shuntCapacity	Integer,
+	shuntChrgCap	Integer,
+	shuntDischCap	Integer,
+	shuntEndOfChrg	OctetString,
+	shuntDiscn	OctetString,
+	shuntBatLive	TimeTicks,
+	shuntDischTime	TimeTicks
+    }
+
+shuntId 	OBJECT-TYPE
+    SYNTAX      UInteger32
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "SNR-SHUNT id"
+    ::= { shuntEntry 1 }
+
+shuntName OBJECT-TYPE
+    SYNTAX      OCTET STRING
+    MAX-ACCESS  read-write
+    STATUS      current
+    DESCRIPTION
+            "Name (max 20)"
+    ::= { shuntEntry 2 }
+
+shuntTemp OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Temperature value"
+    ::= { shuntEntry 3 }
+
+shuntVolt OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-write
+    STATUS      current
+    DESCRIPTION
+            "Voltage"
+    ::= { shuntEntry 4 }
+
+shuntCurrent OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-write
+    STATUS      current
+    DESCRIPTION
+            "Current"
+    ::= { shuntEntry 5 }
+
+shuntChrgLvl OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-write
+    STATUS      current
+    DESCRIPTION
+            "Battery charge level (0..100%)"
+    ::= { shuntEntry 6 }
+
+shuntChrgCap 	OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Charge capacity"
+    ::= { shuntEntry 7 }
+
+shuntDischCap OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Discharge capacity"
+    ::= { shuntEntry 8 }
+
+shuntEndOfChrg OBJECT-TYPE
+    SYNTAX      OCTET STRING
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "End of charge time"
+    ::= { shuntEntry 9 }
+
+shuntDiscn OBJECT-TYPE
+    SYNTAX      OCTET STRING
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Disconnect time"
+    ::= { shuntEntry 10 }
+
+shuntBatLive OBJECT-TYPE
+    SYNTAX      TimeTicks
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Battery using period"
+    ::= { shuntEntry 11 }
+
+shuntDischTime OBJECT-TYPE
+    SYNTAX      TimeTicks
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Time to full discharge"
+    ::= { shuntEntry 12 }
+
+
+-- wirelessSensors
+
+rfshtpTable OBJECT-TYPE
+    SYNTAX      SEQUENCE OF rfshtpEntry
+    MAX-ACCESS  not-accessible
+    STATUS      current
+    DESCRIPTION
+            "A list of wireless sensors values"
+    ::= { measurements 10 }
+
+rfshtpEntry OBJECT-TYPE
+    SYNTAX      rfshtpEntry
+    MAX-ACCESS  not-accessible
+    STATUS      current
+    DESCRIPTION
+            "An entry (conceptual row) 
+in the wrlssSensTable"
+    INDEX   { wrlssSensIdent }
+    ::= { rfshtpTable 1 }
+
+rfshtpEntry ::=
+    SEQUENCE {
+        rfshtpId           OctetString,
+        rfshtpName         OctetString,
+        rfshtpTemp         Integer,
+	rfshtpHum	   Integer,
+	rfshtpPres	   Integer
+    }
+
+rfshtpId OBJECT-TYPE
+    SYNTAX      OCTET STRING
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Wireless sensor id"
+    ::= { rfshtpEntry 1 }
+
+rfshtpName OBJECT-TYPE
+    SYNTAX      OCTET STRING
+    MAX-ACCESS  read-write
+    STATUS      current
+    DESCRIPTION
+            "Name (max 20)"
+    ::= { rfshtpEntry 2 }
+
+rfshtpTemp OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Temperature value"
+    ::= { rfshtpEntry 3 }
+
+rfshtpHum OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Humidity value"
+    ::= { rfshtpEntry 4 }
+
+rfshtpPres OBJECT-TYPE
+    SYNTAX      INTEGER
+    MAX-ACCESS  read-only
+    STATUS      current
+    DESCRIPTION
+            "Pressure value"
+    ::= { rfshtpEntry 5 }
+
+-- sp
+
+-- rsshtpTable
+rsshtpTable		OBJECT-TYPE
+	SYNTAX		SEQUENCE OF rsshtpEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"A list of SNR-RSsensor-H/T/P values"
+::= { sp 1 }
+
+rsshtpEntry OBJECT-TYPE
+	SYNTAX		rsshtpEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"An entry (conceptual row) 
+in the rsshtpTable"
+	INDEX		{ rsshtpIdent }
+::= { rsshtpTable 1 }
+
+rsshtpEntry ::= SEQUENCE 
+{
+    rsshtpIdent	OctetString,
+	rsshtpName	OctetString,
+    rsshtpTemp	Integer,
+	rsshtpHum	Integer,
+	rsshtpPssr	Integer,
+	tempCritNotif		Integer,
+	tempCritMin			Integer,
+	tempCritMax			Integer
+}
+
+rsshtpIdent		OBJECT-TYPE
+	SYNTAX		OCTET STRING
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"SNR-RSsensor-H/T/P id"
+::= { rsshtpEntry 1 }
+
+rsshtpName		OBJECT-TYPE
+    	SYNTAX      	OCTET STRING
+    	MAX-ACCESS  	read-write
+    	STATUS      	current
+    	DESCRIPTION 	"Name (max 20)"
+::= { rsshtpEntry 2 }
+
+rsshtpTemp		OBJECT-TYPE
+	SYNTAX		INTEGER
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Temperature value 1"
+::= { rsshtpEntry 3 }
+
+rsshtpHum		OBJECT-TYPE
+	SYNTAX		INTEGER
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Humidity value"
+::= { rsshtpEntry 4 }
+
+rsshtpPssr		OBJECT-TYPE
+	SYNTAX		INTEGER
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Pressure value"
+::= { rsshtpEntry 6 }
+
+tempCritNotif	OBJECT-TYPE
+	SYNTAX		INTEGER
+		{
+				No	(0),
+				Yes	(1),
+		}
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Enable notifications on the critical temperature"
+::= { rsshtpEntry 10 }
+	
+tempCritMin		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Minimal critical temperature. 
+Up to -55 \B0C"
+::= { rsshtpEntry 15 }
+
+tempCritMax	OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Maximum critical temperature. 
+Up to +125\B0C"
+::= { rsshtpEntry 16 }
+
+-- rscounterTable
+
+rscounterTable		OBJECT-TYPE
+	SYNTAX		SEQUENCE OF rscounterEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"A list of SNR-RS-Counter"
+::= { sp 5 }
+
+rscounterEntry OBJECT-TYPE
+	SYNTAX		rscounterEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"An entry (conceptual row) 
+in the rscounterTable"
+	INDEX		{ rscounterIdent }
+::= { rscounterTable 1 }
+
+rscounterEntry ::= SEQUENCE 
+{
+    rscounterIdent	OctetString,
+	rscounterName	OctetString,
+}
+
+rscounterIdent		OBJECT-TYPE
+	SYNTAX		OCTET STRING
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"SNR-RS-Counter id"
+::= { rscounterEntry 1 }
+
+rscounterName		OBJECT-TYPE
+    	SYNTAX      	OCTET STRING
+    	MAX-ACCESS  	read-write
+    	STATUS      	current
+    	DESCRIPTION 	"Name (max 20)"
+::= { rscounterEntry 2 }
+
+
+-- rsshtp1WTable
+rsshtp1WTable		OBJECT-TYPE
+	SYNTAX		SEQUENCE OF rsshtp1WEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"A list of temperature sensors 
+are connected to SNR-RSsensor-H/T/P"
+::= { sp 100 }
+
+rsshtp1WEntry 		OBJECT-TYPE
+	SYNTAX		rsshtp1WEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"An entry (conceptual row) 
+in the rsshtp1WTable"
+	INDEX		{ rsshtp1WIdent }
+::= { rsshtp1WTable 1 }
+
+rsshtp1WEntry ::= SEQUENCE 
+{
+        rsshtp1WIdent	UInteger32,
+	rsshtp1WName	OctetString,
+        rsshtp1WTemp	Integer,
+	rsshtp1WMaster	OctetString,
+	tempCritNotif		Integer,
+	tempCritMin			Integer,
+	tempCritMax			Integer
+}
+
+rsshtp1WIdent		OBJECT-TYPE
+	SYNTAX		UInteger32
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Temperature sensor id"
+::= { rsshtp1WEntry 1 }
+
+rsshtp1WName OBJECT-TYPE
+    	SYNTAX      OCTET STRING
+    	MAX-ACCESS  read-write
+    	STATUS      current
+    	DESCRIPTION "Name (max 20)"
+::= { rsshtp1WEntry 2 }
+
+rsshtp1WTemp		OBJECT-TYPE
+	SYNTAX		INTEGER
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Temperature value"
+::= { rsshtp1WEntry 3 }
+
+rsshtp1WMaster		OBJECT-TYPE
+	SYNTAX		OCTET STRING
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Name of the SNR-RSsensor-H/T/P 
+which this temperature sensor 
+is connected to"
+::= { rsshtp1WEntry 4 }
+
+tempCritNotif	OBJECT-TYPE
+	SYNTAX		INTEGER
+		{
+				No	(0),
+				Yes	(1),
+		}
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Enable notifications on the critical temperature"
+::= { rsshtp1WEntry 10 }
+	
+tempCritMin		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Minimal critical temperature. 
+Up to -55 \B0C"
+::= { rsshtp1WEntry 15 }
+
+tempCritMax	OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Maximum critical temperature. 
+Up to +125\B0C"
+::= { rsshtp1WEntry 16 }
+
+-- dio
+
+diTable			OBJECT-TYPE
+	SYNTAX		SEQUENCE OF diEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"A list of digital inputs values"
+::= { dio 1 }
+
+diEntry 		OBJECT-TYPE
+	SYNTAX		diEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"An entry (conceptual row) 
+in the diTable"
+::= { diTable 1 }
+
+diEntry ::= SEQUENCE 
+{
+	diName		OctetString,
+    diAlarmName	OctetString,
+	diState		Integer,
+	diCnt		Counter
+}
+
+diName			OBJECT-TYPE
+	SYNTAX		OCTET STRING
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Digital input name"
+::= { diEntry 1 }
+
+diAlarmName		OBJECT-TYPE
+	SYNTAX		OCTET STRING
+	MAX-ACCESS	read-write
+	STATUS		current
+	DESCRIPTION	"Alarm name"
+::= { diEntry 2 }
+
+diState			OBJECT-TYPE
+	SYNTAX		INTEGER
+			{
+				low	(0),
+				high	(1),
+				off	(2)
+			}
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Digital input state"
+::= { diEntry 3 }
+
+diCnt			OBJECT-TYPE
+	SYNTAX		Counter
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Digital input impulse counter"
+::= { diEntry 4 }
+
+
+doTable			OBJECT-TYPE
+	SYNTAX		SEQUENCE OF doEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"A list of digital outputs values"
+::= { dio 2 }
+
+doEntry 		OBJECT-TYPE
+	SYNTAX		doEntry
+	MAX-ACCESS	not-accessible
+	STATUS		current
+	DESCRIPTION	"An entry (conceptual row) 
+in the doTable"
+::= { doTable 1 }
+
+doEntry ::= SEQUENCE 
+{
+	doName			OctetString,
+	doDeviceName	OctetString,
+	doState			Integer,
+	doResetTime		Integer
+}
+
+doName			OBJECT-TYPE
+	SYNTAX		OCTET STRING
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Digital output name"
+::= { doEntry 1 }
+
+doDeviceName	OBJECT-TYPE
+	SYNTAX		OCTET STRING
+	MAX-ACCESS	read-write
+	STATUS		current
+	DESCRIPTION	"Digital output custom name"
+::= { doEntry 2 }
+
+doState			OBJECT-TYPE
+	SYNTAX		INTEGER
+			{
+				off	(0),
+				on	(1),
+				reload	(2)
+			}
+	MAX-ACCESS	read-write
+	STATUS		current
+	DESCRIPTION	"Digital output state"
+::= { doEntry 3 }
+
+doResetDelay		OBJECT-TYPE
+	SYNTAX		INTEGER
+	MAX-ACCESS	read-write
+	STATUS		current
+	DESCRIPTION	"Reload period (sec)"
+::= { doEntry 4 }
+
+uSenseState		OBJECT-TYPE
+	SYNTAX		INTEGER
+			{
+				off	(0),
+				on	(1)
+			}
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"Voltage sensor state"
+::= { dio 3 }
+
+-- GSM
+
+GsmModuleStatus		OBJECT-TYPE
+	SYNTAX		INTEGER
+			{
+				No	(0),
+				Yes	(1),
+				NoSim	(2),
+				Error	(3),
+				Connected	(4)
+			}
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"the status of the gsm module"
+::= { GSM 1 }
+
+GsmStrength		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"the level of signal in dBm"
+::= { GSM 2 }
+
+ReconnCount		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"the number of connection attempts"
+::= { GSM 10 }
+
+-- RF
+
+RfModuleStatus		OBJECT-TYPE
+	SYNTAX		INTEGER
+			{
+				No	(0),
+				Yes	(1)
+			}
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"the status of the rf module"
+::= { RF 1 }
+
+-- options
+
+dataType		OBJECT-TYPE
+	SYNTAX		INTEGER
+			{
+				integer	(0),
+				float	(1),
+				ufloat	(2)
+			}
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Values data type"
+::= { options 1 }
+
+-- crit
+
+tempCritDHT		OBJECT-TYPE
+	SYNTAX		TempInteger
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Critical temperature. 
+From -55 to +125\B0C"
+::= { crit 10 }
+
+humCrit		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"Critical humidity. 
+From 0 to 100%"
+::= { crit 20 }
+
+adcCritMin		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"ADC IN critical min"
+::= { crit 30 }
+
+adcCritMax		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"ADC IN critical max"
+::= { crit 31 }
+
+adcHysteresis	OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-write
+        STATUS		current
+        DESCRIPTION	"ADC IN hysteresis"
+::= { crit 35 }
+
+-- diffparams
+
+-- upsStatus
+
+statusUPS		OBJECT-TYPE
+	SYNTAX		INTEGER
+			{
+				fail	(1),
+				ok	(0),
+				unknown	(2) 
+			}
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"UPS status"
+::= { upsStatus 1 }
+
+batteryVoltageUPS	OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"Battery voltage value"
+::= { upsStatus 2 }
+
+temperatureUPS		OBJECT-TYPE
+	SYNTAX		INTEGER
+	MAX-ACCESS	read-only
+	STATUS		current
+	DESCRIPTION	"Temperature value"
+::= { upsStatus 3 }
+
+inputVoltageUPS		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"Input voltage value"
+::= { upsStatus 4 }
+
+outputVoltageUPS	OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"Output voltage value"
+::= { upsStatus 5 }
+
+currentUPS		OBJECT-TYPE
+	SYNTAX		INTEGER
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"Current value"
+::= { upsStatus 6 }
+
+lastBatteryChangeUPS	OBJECT-TYPE
+	SYNTAX		OCTET STRING
+        MAX-ACCESS	read-only
+        STATUS		current
+        DESCRIPTION	"Last battery change date and time. 
+APC only"
+::= { upsStatus 7 }
+
+
+-- pid
+
+inputPID		OBJECT-TYPE
+	
+	SYNTAX		INTEGER
+        
+	MAX-ACCESS	read-write
+
+        STATUS		current
+
+        DESCRIPTION	"PID SNMP input value"
+
+::= { pid 1 }
+
+
+	
+outputPercentPID	OBJECT-TYPE
+
+	SYNTAX		INTEGER
+
+        MAX-ACCESS	read-only
+
+        STATUS		current
+
+        DESCRIPTION	"PID output value. 
+0 to 100%"
+
+::= { pid 2 }
+
+
+
+outputRealPID		OBJECT-TYPE
+
+	SYNTAX		INTEGER
+
+        MAX-ACCESS	read-only
+
+        STATUS		current
+
+        DESCRIPTION	"PID output value 
+(voltage if PID runs in analog mode 
+or time if PID runs in PWM mode)"
+
+::= { pid 3 }
+
+
+
+ypPID			OBJECT-TYPE
+
+	SYNTAX		INTEGER
+
+        MAX-ACCESS	read-only
+
+        STATUS		current
+
+        DESCRIPTION	"Proportional gain"
+
+::= { pid 4 }
+
+
+
+yiPID			OBJECT-TYPE
+
+	SYNTAX		INTEGER
+
+        MAX-ACCESS	read-only
+
+        STATUS		current
+
+        DESCRIPTION	"Integral gain"
+
+::= { pid 5 }
+
+
+
+ydPID			OBJECT-TYPE
+
+	SYNTAX		INTEGER
+
+        MAX-ACCESS	read-only
+
+        STATUS		current
+
+        DESCRIPTION	"Derivative gain"
+
+::= { pid 6 }
+
+
+
+errorPID		OBJECT-TYPE
+
+	SYNTAX		INTEGER
+
+        MAX-ACCESS	read-only
+
+        STATUS		current
+
+        DESCRIPTION	"Error. Difference between setpoint 
+and input value"
+
+::= { pid 7 }
+
+
+-- Traps
+
+DI1Alarm		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 1 Alarm fires"		
+::= { traps 1 }
+
+DI1Release		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 1 Alarm released"		
+::= { traps 2 }
+
+DI2Alarm		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 2 Alarm fires"		
+::= { traps 3 }
+
+DI2Release		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 2 Alarm released"		
+::= { traps 4 }
+
+DI3Alarm		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 3 Alarm fires"		
+::= { traps 5 }
+
+DI3Release		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 3 Alarm released"		
+::= { traps 6 }
+
+DI4Alarm		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 4 Alarm fires"		
+::= { traps 7 }
+
+DI4Release		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 4 Alarm released"		
+::= { traps 8 }
+
+DI5Alarm		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 5 Alarm fires"		
+::= { traps 9 }
+
+DI5Release		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Input 5 Alarm released"		
+::= { traps 10 }
+
+uSenseAlarm		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Phase sensor 
+Alarm fires"		
+::= { traps 11 }
+
+uSenseRelease	NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Phase sensor 
+Alarm released"		
+::= { traps 12 }
+
+reloutOn		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Rele was swithed on 
+by Thermostat or Gigrostat mode"		
+::= { traps 13 }
+
+reloutOff		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Rele was swithed off 
+by Thermostat or Gigrostat mode"		
+::= { traps 14 }
+
+DO1On			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 1 was swithed on 
+by Thermostat or Gigrostat mode"		
+::= { traps 15 }
+
+DO1Off			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 1 was swithed off 
+by Thermostat or Gigrostat mode"		
+::= { traps 16 }
+
+DO2On			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 2 was swithed on 
+by Thermostat or Gigrostat mode"		
+::= { traps 17 }
+
+DO2Off			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 2 was swithed off 
+by Thermostat or Gigrostat mode"		
+::= { traps 18 }
+
+DO3On			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 3 was swithed on 
+by Thermostat or Gigrostat mode"		
+::= { traps 19 }
+
+DO3Off			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 3 was swithed off 
+by Thermostat or Gigrostat mode"		
+::= { traps 20 }
+
+DO4On			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 4 was swithed on 
+by Thermostat or Gigrostat mode"		
+::= { traps 21 }
+
+DO4Off			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 4 was swithed off 
+by Thermostat or Gigrostat mode"		
+::= { traps 22 }
+
+DO5On			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 5 was swithed on 
+by Thermostat or Gigrostat mode"		
+::= { traps 23 }
+
+DO5Off			NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Signifies that Output 5 was swithed off 
+by Thermostat or Gigrostat mode"		
+::= { traps 24 }
+
+tempSensorAlarm		NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"Temperature alarm"		
+::= { traps 29 }
+
+tempSensorRelease	NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"Temperature release"		
+::= { traps 30 }
+
+adcSensorAlarm		NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"Voltage sensor alarm"		
+::= { traps 31 }
+
+adcSensorRelease	NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Voltage sensor release"		
+::= { traps 32 }
+
+humSensorAlarm		NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"Humidity alarm"		
+::= { traps 33 }
+
+humSensorRelease	NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"Humidity release"		
+::= { traps 34 }
+
+task1Done		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Task 1 done"		
+::= { traps 36 }
+
+task2Done		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Task 2 done"		
+::= { traps 37 }
+
+task3Done		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Task 3 done"		
+::= { traps 38 }
+
+task4Done		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Task 4 done"		
+::= { traps 39 }
+
+pingLost		NOTIFICATION-TYPE
+	STATUS		current
+	DESCRIPTION	"Ping lost"		
+::= { traps 45 }
+
+batteryChargeLow	NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"Battery charge is low"		
+::= { traps 47 }
+
+upsUtilityFail		NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"UPS utility fail"		
+::= { traps 50 }
+
+upsUtilityOk		NOTIFICATION-TYPE
+	STATUS			current
+	DESCRIPTION		"UPS utility OK"		
+::= { traps 51 }
+
+-- erd4Group
+
+erd4Group		NOTIFICATION-GROUP  
+	NOTIFICATIONS 
+	{
+		DI1Alarm,
+		DI1Release,
+		DI2Alarm,
+		DI2Release,
+		DI3Alarm,
+		DI3Release,
+		DI4Alarm,
+		DI4Release,
+		DI5Alarm,
+		DI5Release,
+		uSenseAlarm,
+		uSenseRelease,
+		reloutOn,
+		reloutOff,
+		DO1On,
+		DO1Off,
+		DO2On,
+		DO2Off,
+		DO3On,
+		DO3Off,
+		DO4On,
+		DO4Off,
+		DO5On,
+		DO5Off,
+		tempSensorAlarm,
+		tempSensorRelease,
+		adcSensorAlarm,
+		adcSensorRelease,
+		humSensorAlarm,
+		humSensorRelease,
+		task1Done,
+		task2Done,
+		task3Done,
+		task4Done,
+		pingLost,
+		batteryChargeLow,
+		upsUtilityFail,
+		upsUtilityOk
 	}
-  
-	STATUS current
+	STATUS			current
+	DESCRIPTION		"Notifications"
+::= { snr-erd-4 99 }
 
-	DESCRIPTION
-
-		" "
-
-::= { snr-erd-4 99 }
-
-END
-
+END
